io.milvus.v2.common

## Enum IndexParam.IndexType

- java.lang.Object
- - java.lang.Enum<IndexParam.IndexType>
  - - io.milvus.v2.common.IndexParam.IndexType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexParam.IndexType>

Enclosing class:
  IndexParam

    public static enum IndexParam.IndexType
    extends java.lang.Enum<IndexParam.IndexType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTOINDEX`
`BIN_FLAT`
`BIN_IVF_FLAT`
`DISKANN`
`FLAT`
`GPU_BRUTE_FORCE`
`GPU_CAGRA`
`GPU_IVF_FLAT`
`GPU_IVF_PQ`
`HNSW`
`INVERTED`
`IVF_FLAT`
`IVF_PQ`
`IVF_SQ8`
`None`
`SCANN`
`SPARSE_INVERTED_INDEX`
`SPARSE_WAND`
`STL_SORT`
`TRIE`

### Method Summary

All Methods Static Methods Concrete Methods
`static IndexParam.IndexType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexParam.IndexType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final IndexParam.IndexType None

#### FLAT

    public static final IndexParam.IndexType FLAT

#### IVF_FLAT

    public static final IndexParam.IndexType IVF_FLAT

#### IVF_SQ8

    public static final IndexParam.IndexType IVF_SQ8

#### IVF_PQ

    public static final IndexParam.IndexType IVF_PQ

#### HNSW

    public static final IndexParam.IndexType HNSW

#### DISKANN

    public static final IndexParam.IndexType DISKANN

#### AUTOINDEX

    public static final IndexParam.IndexType AUTOINDEX

#### SCANN

    public static final IndexParam.IndexType SCANN

#### GPU_IVF_FLAT

    public static final IndexParam.IndexType GPU_IVF_FLAT

#### GPU_IVF_PQ

    public static final IndexParam.IndexType GPU_IVF_PQ

#### GPU_BRUTE_FORCE

    public static final IndexParam.IndexType GPU_BRUTE_FORCE

#### GPU_CAGRA

    public static final IndexParam.IndexType GPU_CAGRA

#### BIN_FLAT

    public static final IndexParam.IndexType BIN_FLAT

#### BIN_IVF_FLAT

    public static final IndexParam.IndexType BIN_IVF_FLAT

#### TRIE

    public static final IndexParam.IndexType TRIE

#### STL_SORT

    public static final IndexParam.IndexType STL_SORT

#### INVERTED

    public static final IndexParam.IndexType INVERTED

#### SPARSE_INVERTED_INDEX

    public static final IndexParam.IndexType SPARSE_INVERTED_INDEX

#### SPARSE_WAND

    public static final IndexParam.IndexType SPARSE_WAND

### Method Detail

#### values

    public static IndexParam.IndexType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexParam.IndexType c : IndexParam.IndexType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexParam.IndexType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null